## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.Matrix

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix

Enclosing class:
  ShingleMatrixFilter

    public static class ShingleMatrixFilter.Matrix

extends Object

A column focused matrix in three dimensions:

     Token[column][row][z-axis] {
         {{hello}, {greetings, and, salutations}},
         {{world}, {earth}, {tellus}}
     };

todo consider row groups to indicate that shingles is only to contain permutations with texts in that same row group.

Nested Class Summary
`class` `ShingleMatrixFilter.Matrix.Column`

Constructor Summary
`ShingleMatrixFilter.Matrix()`

Method Summary
`List<ShingleMatrixFilter.Matrix.Column>` `getColumns()`
`Iterator<ShingleMatrixFilter.Matrix.Column.Row[]>` `permutationIterator()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.Matrix

    public ShingleMatrixFilter.Matrix()

Method Detail

### getColumns

    public List<ShingleMatrixFilter.Matrix.Column> getColumns()

### permutationIterator

    public Iterator<ShingleMatrixFilter.Matrix.Column.Row[]> permutationIterator()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`